Bug 1343323 (CVE-2016-5338) - CVE-2016-5338 Qemu: scsi: esp: OOB r/w access while processing ESP_FIFO
Summary: CVE-2016-5338 Qemu: scsi: esp: OOB r/w access while processing ESP_FIFO
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2016-5338
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1343325
Blocks: 1340427
TreeView+ depends on / blocked
 
Reported: 2016-06-07 07:11 UTC by Prasad J Pandit
Modified: 2019-09-29 13:50 UTC (History)
34 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:53:17 UTC


Attachments (Terms of Use)

Description Prasad J Pandit 2016-06-07 07:11:38 UTC
Quick Emulator(Qemu) built with the ESP/NCR53C9x controller emulation support
is vulnerable to an OOB r/w access issue. The controller uses 16-byte FIFO
buffer the information transfer. The OOB r/w occurs while reading/writing
to this buffer in esp_reg_read() and esp_reg_write() routines.

A privileged user inside guest could use this flaw to crash the Qemu process
resulting in DoS OR potentially leverage it to execute arbitrary code with
privileges of the Qemu process on the host.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2016-06/msg01507.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2016/06/07/3

Comment 1 Prasad J Pandit 2016-06-07 07:12:13 UTC
Acknowledgements:

Name: Security Team (Huawei Inc.), Li Qiang (360.cn Inc.)

Comment 2 Prasad J Pandit 2016-06-07 07:13:05 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1343325]

Comment 3 Fedora Update System 2016-06-17 15:56:14 UTC
xen-4.5.3-8.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2016-06-18 18:29:54 UTC
xen-4.6.1-12.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2016-06-22 01:22:12 UTC
xen-4.5.3-8.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-06-25 19:26:07 UTC
qemu-2.6.0-4.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2016-07-02 19:25:20 UTC
qemu-2.3.1-16.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-07-02 19:30:38 UTC
qemu-2.4.1-11.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.